@keyframes loader-ripple
  0%
    top: 36px
    left: 36px
    width: 0
    height: 0
    opacity: 1

  100%
    top: 0px
    left: 0px
    width: 72px
    height: 72px
    opacity: 0

.loader
  position: fixed
  top: 0
  left: 0
  width: 100%
  height: 100vh

  display: flex
  flex-direction: column
  justify-content: center
  align-items: center

  background: var( --loader-background )
  color: var( --loader-color )

  .loader-ripple
    display: inline-block
    position: relative
    width: 80px
    height: 80px

    & > *
      margin-top: var( --spacing )

    div
      position: absolute
      border: 4px solid var( --loader-color )
      opacity: 1
      border-radius: 50%
      animation: loader-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite

    &:nth-child(2)
      animation-delay: -0.5s
